org.apache.tinkerpop.gremlin.process.remote.traversal

## Interface RemoteTraversal<S,E>

- All Superinterfaces:
    AutoCloseable, Cloneable, Iterator<E>, Serializable, Traversal<S,E>, Traversal.Admin<S,E>
  All Known Implementing Classes:
    AbstractRemoteTraversal, DriverRemoteTraversal, EmbeddedRemoteTraversal

      public interface RemoteTraversal<S,E>
      extends Traversal.Admin<S,E>

  A `RemoteTraversal` is returned from `RemoteConnection.submitAsync(Bytecode)`. It is iterated from within `RemoteStep` using `Traversal.Admin.nextTraverser()`. Implementations should typically be given a "result" from a remote source where the traversal was executed. The "result" should be an iterator which preferably has its data bulked.

  Note that internally `Traversal.Admin.nextTraverser()` is called from within a loop (specifically in `AbstractStep.next()` that breaks properly when a `NoSuchElementException` is thrown. In other words the "results" should be iterated to force that failure.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteTraversalSideEffects` | `getSideEffects()` Deprecated. as of release 3.3.8, not directly replaced, see `Admin#getSideEffects()` for more information.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStart, addStarts, addStep, addStep, applyStrategies, clone, equals, getBytecode, getEndStep, getGraph, getParent, getStartStep, getSteps, getStrategies, getTraversalSource, getTraverserGenerator, getTraverserRequirements, isLocked, nextTraverser, removeStep, removeStep, reset, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Method Detail

    - #### getSideEffects

          @Deprecated
          RemoteTraversalSideEffects getSideEffects()

      Deprecated. as of release 3.3.8, not directly replaced, see `Admin#getSideEffects()` for more information.
      Returns remote side-effects generated by the traversal so that they can be accessible to the client. Note that "side-effect" refers to the value in "a" in the traversal `g.V().aggregate('a').values('name')`.
      Specified by:
        `getSideEffects` in interface `Traversal.Admin<S,E>`
      Returns:
        The traversal sideEffects

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.